package main

import (
	"fmt"

	neco "git.nefrace.ru/nefrace/nechotron"
)

var commandMe = neco.NewCommand("me", "Пишу ваш текст о вас в третьем лице", false)

func handleMe(u *neco.Update) error {
	param := commandMe.Param(u.Text())
	_, err := u.AnswerMarkdown(fmt.Sprintf("_*%s* %s_", neco.EscapeMd2(u.From().FirstName), neco.EscapeMd2(param)))
	return err
}

var commandHelp = neco.NewCommand("help", "Показываю данный текст", false)

func handleHelp(u *neco.Update) error {
	_, err := u.AnswerPlain("Тут текст помощи")
	return err
}

var commandSay = neco.NewCommand("say", "Пишу ваш текст от своего имени.", true)

func handleSay(u *neco.Update) error {
	param := commandMe.Param(u.Text())
	_, err := u.AnswerMarkdown(fmt.Sprintf("*_%s_*", neco.EscapeMd2(param)))
	return err
}

var commandWarn = neco.NewCommand("warn", "Делаю предупреждение пользователю", true)
